import sys


def odds(evens):
    no_odds = 0
    for item in evens:
        if item == 0:
            no_odds += 1
    return no_odds

def evaluate(res, sign, total):
    return (total - res) % 2 if sign == "-" else (total + res) % 2

def multiply(items):
    total = 1
    for item in items:
        total *= item
        total %= 2
    return total


def eval_start(expr, m, changes):
    total = 0
    evens = [0]
    expression = []
    last_sign = "+"
    expr_index = 0
    expressions = []
    locations = []
    nums = 0

    for i in range(len(expr)):
        if expr[i] == "*":
            continue
        elif expr[i] == "+" or expr[i] == "-":
            res = multiply(expression)
            total = evaluate(res, last_sign, total)
            last_sign = expr[i]
            expressions.append(expression)
            nums = 0
            expr_index += 1
            expression = []
            evens.append(0)
        else:
            expression.append(int(expr[i]))
            locations.append((expr_index, nums))
            nums += 1
            if int(expr[i]) % 2 == 0:
                evens[expr_index] += 1
            if i == len(expr) - 1:
                expressions.append(expression)
    odds_count = odds(evens)
    if odds_count % 2 == 0:
        sys.stdout.write("even\n")
    else:
        sys.stdout.write("odd\n")

    for i in range(m):
        index, new = int(changes[i][0]), int(changes[i][1])
        index -= 1
        expressions_index, num_index = locations[index]
        evens_bef = evens[expressions_index]
        if expressions[expressions_index][num_index] % 2 == 0 and new % 2 != 0:
            evens[expressions_index] -= 1

        elif expressions[expressions_index][num_index] % 2 == 1 and new % 2 != 1:
            evens[expressions_index] += 1

        expressions[expressions_index][num_index] = new

        if evens_bef > 0 and evens[expressions_index] == 0:
            odds_count -= 1
        elif evens_bef == 0 and evens[expressions_index] > 0:
            odds_count += 1

        if odds_count % 2 == 0:
            sys.stdout.write("even\n")
        else:
            sys.stdout.write("odd\n")


if __name__ == "__main__":
    nums = sys.stdin.readline().rstrip('\n')
    nums = nums.split()
    n, m = int(nums[0]), int(nums[1])
    changes = []

    expr = sys.stdin.readline().rstrip('\n')
    expr = expr.replace("*", " * ")
    expr = expr.replace("+", " + ")
    expr = expr.replace("-", " - ")
    nums_only = expr[:]
    nums_only = nums_only.replace("*", "")
    nums_only = nums_only.replace("+", "")
    nums_only = nums_only.replace("-", "")
    nums2 = nums_only.split()

    for i in range(m):
        change = sys.stdin.readline().rstrip('\n')
        change_list = change.split()
        changes.append((change_list[0],change_list[1]))

    parity = eval_start(expr.split(), m , changes)
